# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`mock`](#mock): Manage mock

_Private Classes_

* `mock::params`: 

## Classes

### mock

Manage mock

#### Examples

##### Manage mock and define group members

```puppet
class { 'mock':
  group_members => ['user1', 'user2'],
}
```

#### Parameters

The following parameters are available in the `mock` class.

##### `ensure`

Data type: `Enum['present', 'absent']`

Sets the `ensure` parameter for the class' managed resources (defaults to `present`).

Default value: 'present'

##### `manage_group`

Data type: `Boolean`

Boolean that determines if the group resource is managed by this module (defaults to `true`).

Default value: `true`

##### `manage_epel`

Data type: `Boolean`

Boolean that determines if the epel module is included by this module (defaults to `true`).

Default value: `true`

##### `group_gid`

Data type: `Integer`

Sets the mock group's GID (defaults to `135`).

Default value: 135

##### `group_name`

Data type: `String`

Name of the mock group (defaults to `mock`).

Default value: $mock::params::group_name

##### `group_members`

Data type: `Array`

Array of users who should be added to mock group (defaults to empty array)

Default value: []

##### `package_name`

Data type: `String`

Name of the mock package (defaults to `mock`).

Default value: $mock::params::package_name

